# AOCreateMapping

Creates a basic application mapping using two integer arrays.

### Synopsis

    PetscErrorCode PETSCDM_DLLEXPORT AOCreateMapping(MPI_Comm comm,PetscInt napp,const PetscInt myapp[],const PetscInt mypetsc[],AO *aoout)

### Input Parameters

| comm | - MPI communicator that is to share AO
| napp | - size of integer arrays
| myapp | - integer array that defines an ordering
| mypetsc | - integer array that defines another ordering

### Output Parameter

aoout -the new application mapping

### Options Database Key

    -ao_view : call AOView() at the conclusion of AOCreateMapping()

### Keywords

AO, create

### See Also

AOCreateDebug(), AOCreateBasic(), AOCreateMappingIS(), AODestroy()

Level:beginner
Location: src/dm/ao/impls/mapping/aomapping.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages